XKBSELDB(1)

NAME
xkbseldb - maintain xkbsel databases

SYNOPSIS
xkbseldb [-rRmMlLc] [-b] [-x] [-v] [--debug]
xkbseldb {--help,--version}

DESCRIPTION
The xkbsel package stores its keymap definitions in the system and user directory hierarchies and provides an access to them based on system and user configuration files. As this is a lot of scattered data and the mapping selection process should be fast, the definitions are hashed and the mappings mentioned in the configuration files are precompiled into a quick readable internal form.

xkbseldb is used to maintain this internal data. The available options are:

-R, --rebuild-system
    rebuild the system database

-r, --rebuild-user
    rebuild the user's database

-M, --missing-system
    output a template covering missing xkbsel metadata for X11 and system mappings

-m, --missing-user
    output a template covering missing user metadata

-L, --list-system
    list the content of the system database

-l, --list-user
    list the content of the databases from the user's point of view

-b, --brief
    when listing content, output map names only

-x, --explicit
    when listing content, leave out maps that are taken from the X11 distribution without modification

-c, --check
    output the current configuration

-v, --verbose
    be verbose

--debug
    be very verbose

--help
    output brief usage instructions

--version
    output the version of the program

You must rebuild the system database every time you add or delete a keyboard mapping included in the X11 or package's system directories, when you change a metadata describing the mapping (see xkbsel(5) for the formats) or when you change the content of the XKB definitions such that the resulting mapping is different. It is strongly advised to rebuild the database when you add new shortcut definitions into the system configuration file so that the system precompiles them (otherwise they will be compiled at each user who selects them).

The situation for the user databases is similar - if the user's xkbsel directory is nonempty, a rebuild is needed after each change of these data. To put it shortly: if in doubt, do the rebuilds.

The --missing-system and --missing-user options are for the people willing to define the maps themselves. The output should be filled in and installed as a redefinition file. Don't mess with this if you only want to use the package.

Using --check and --list-user --brief can often help in debugging configuration issues.

FILES

/usr/X11R6/lib/X11/xkb
    XKB hierarchy of the X11 distribution

/usr/share/xkbsel
    system data directory

/etc/xkbsel.conf
    system configuration file

/var/xkbsel
    system directory for the hash database and precompiled keymaps

~/.xkbsel
    user data directory

~/.xkbsel/xkbsel.conf
    user's configuration file

SEE ALSO
xkbsel(1), xkbsel-aw(1), xkbsel(5)

BUGS
Should automagically determine when the user database needs a rebuild.

AUTHOR
Stanislav Meduna <stano@trillian.eunet.sk>